com.gisgraphy.fulltext

## Class FulltextQuerySolrHelper

- java.lang.Object
- - com.gisgraphy.fulltext.FulltextQuerySolrHelper

-     public class FulltextQuerySolrHelper
      extends Object

  usefullmethod to process fulltext query by solr
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `BF_NEAREST`
    `protected static String` | `CITY_BOOST_QUERY`
    `static String` | `FEATUREID_PREFIX`
    `protected static String` | `FQ_COUNTRYCODE`
    `protected static String` | `FQ_LOCATION`
    `protected static String` | `FQ_PLACETYPE`
    `protected static String` | `GEOLOC_QUERY_TEMPLATE`
    `protected static String` | `NESTED_QUERY_ID_TEMPLATE`
    `protected static String` | `NESTED_QUERY_NOT_ALL_WORDS_REQUIRED_TEMPLATE`
    `protected static String` | `NESTED_QUERY_NUMERIC_TEMPLATE`
    `protected static String` | `NESTED_QUERY_OPENSTREETMAP_ID_TEMPLATE`
    `protected static String` | `NESTED_QUERY_TEMPLATE`
    `static String` | `OPENSTREETMAPID_PREFIX`
    `protected static String` | `STREET_BOOST_QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FulltextQuerySolrHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `isStreetQuery(com.gisgraphy.fulltext.FulltextQuery query)`
    `static org.apache.solr.common.params.ModifiableSolrParams` | `parameterize(com.gisgraphy.fulltext.FulltextQuery query)`
    `static String` | `toQueryString(com.gisgraphy.fulltext.FulltextQuery fulltextQuery)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FEATUREID_PREFIX

          public static final String FEATUREID_PREFIX

    - #### OPENSTREETMAPID_PREFIX

          public static final String OPENSTREETMAPID_PREFIX

    - #### NESTED_QUERY_TEMPLATE

          protected static final String NESTED_QUERY_TEMPLATE

      See Also:
        Constant Field Values

    - #### NESTED_QUERY_NOT_ALL_WORDS_REQUIRED_TEMPLATE

          protected static final String NESTED_QUERY_NOT_ALL_WORDS_REQUIRED_TEMPLATE

      See Also:
        Constant Field Values

    - #### CITY_BOOST_QUERY

          protected static final String CITY_BOOST_QUERY

      See Also:
        Constant Field Values

    - #### STREET_BOOST_QUERY

          protected static final String STREET_BOOST_QUERY

      See Also:
        Constant Field Values

    - #### NESTED_QUERY_NUMERIC_TEMPLATE

          protected static final String NESTED_QUERY_NUMERIC_TEMPLATE

      See Also:
        Constant Field Values

    - #### NESTED_QUERY_ID_TEMPLATE

          protected static final String NESTED_QUERY_ID_TEMPLATE

      See Also:
        Constant Field Values

    - #### NESTED_QUERY_OPENSTREETMAP_ID_TEMPLATE

          protected static final String NESTED_QUERY_OPENSTREETMAP_ID_TEMPLATE

      See Also:
        Constant Field Values

    - #### FQ_COUNTRYCODE

          protected static final String FQ_COUNTRYCODE

    - #### FQ_PLACETYPE

          protected static final String FQ_PLACETYPE

    - #### FQ_LOCATION

          protected static final String FQ_LOCATION

      See Also:
        Constant Field Values

    - #### BF_NEAREST

          protected static final String BF_NEAREST

      See Also:
        Constant Field Values

    - #### GEOLOC_QUERY_TEMPLATE

          protected static final String GEOLOC_QUERY_TEMPLATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FulltextQuerySolrHelper

          public FulltextQuerySolrHelper()

  - ### Method Detail

    - #### parameterize

          public static org.apache.solr.common.params.ModifiableSolrParams parameterize(com.gisgraphy.fulltext.FulltextQuery query)

      Returns:
        A Representation of all the needed parameters

    - #### isStreetQuery

          protected static boolean isStreetQuery(com.gisgraphy.fulltext.FulltextQuery query)

    - #### toQueryString

          public static String toQueryString(com.gisgraphy.fulltext.FulltextQuery fulltextQuery)

      Returns:
        A query string for the specified parameter (starting with '?') the name of the parameters are defined in `Constants`

Copyright © 2015. All rights reserved.